# Archive and Non Archive Mode

* ***Archive mode of replication*** inserts a new record in Cassandra when the existing record is updated in source apps. This feature helps to maintain historical record.
* ***Non Archive mode of replication*** updates the existing record in Cassandra when the existing record is updated in source apps.

### Switching between Archive and Non Archive mode: <a href="#archiveandnonarchivemode-switchingbetweenarchiveandnonarchivemode" id="archiveandnonarchivemode-switchingbetweenarchiveandnonarchivemode"></a>

To identify and change the mode of the replication, the below mentioned steps must be followed.

* Locate the properties file ***config.properties*** by accessing the Cassandra folder saved in the below path

&#x20;         Installation Folder (DBSyncCReplSF3) > dbsync-repl > WEB-INF > db > Cassandra

![](https://help.mydbsync.com/docs/download/attachments/31983176/Cassandra.png?version=1\&modificationDate=1545854182000\&api=v2)

* Open the file config.properites to indentify the command ***cassandra.archive=true*** or ***cassandra.archive=false***

![](https://help.mydbsync.com/docs/download/attachments/31983176/worddave43343ed289053ed6427e41e37f06bac.png?version=1\&modificationDate=1545854183000\&api=v2)

* ***cassandra.archive=true*** is for Archive mode of replication and ***cassandra.archive=false*** is for Non Archive mode of replication. Based on the requirement true or false must be used before running the replication in DBSync Replication tool.

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mydbsync.com/cloud-replication-main/v6/bigdata-support/archive-and-non-archive-mode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
